Change Password
Allows an authenticated user to change their password by providing their current (old) password and a new one.
Endpoint
Section titled “Endpoint”POST
/user/v1/changepwdRequest Body
Section titled “Request Body”curl -X POST https://api.juspredict.com/user/v1/changepwd \-H 'Authorization: Bearer YOUR_TOKEN' \-H 'Content-Type: application/json' \-d '{"old_password": "currentPassword123","new_password": "newSecurePassword456"}'{"old_password": "currentPassword123","new_password": "newSecurePassword456"}Constraints
Section titled “Constraints”| Field | Requirement |
|---|---|
old_password | Must be between 8 and 16 characters. |
new_password | Must be between 8 and 16 characters. |
Response Body
Section titled “Response Body”{"status": {"type": "SUCCESS","details": []}}{"status": {"type": "ERROR","details": [ { "code": "401", "message": "Unauthorized access token." }]}}Response Fields
Section titled “Response Fields”| Field | Type | Description |
|---|---|---|
status | Status | Operation status. |